locked
PPS 2007 with SQL 2008: Unable to connect to Server. RRS feed

Answers

  • Hi Dan,

      Thanks for your reply.

      I have solved this problem myself.
    Actually its with the Problem of pre-requisites.
    I have installed "AJAX" it solves my problem.

    Thanks,

    Siva@PTPL
    • Marked as answer by Siva_SSK Tuesday, December 16, 2008 4:21 AM
    Tuesday, December 16, 2008 4:21 AM

All replies

  •  You are using SQL Server 2008.  Did you install at least SP1 for PPS (or the SP2)?  I am assuming that you have and that you have gone through the 'Monitoring Server Configuration Manger' without any issues configuring the PPS application with the DB server and deploying the Dashboard Viewer web part to your SharePoint site collection.

    You need to make sure that whatever identity is running the PPSMonitoringWebService application pool in IIS is setup in the PPSMonitoring DB with the proper security.  This account needs to be added into the SQL Server security and granted the BpmDeveloper database role in the database.  If they do not have these permissions then the web service will not be able to interact with the database.

    If you are still having issues then you might want to verifiy the Bpm.MonitoringConnectionString value within the web.config file for the service to verify that it is pointing to the correct data source (SQL Server instance) and initial catalog (database).  You can find this file with the following directly (could be slightly different depending on how you installed the application) - C:\Program Files\Microsoft Office PerformancePoint Server\3.0\Monitoring\PPSMonitoring_1\WebService.  If this is incorrect then you will also need to modify the Preview and your SharePoint web.config files also.
    Monday, December 15, 2008 1:26 PM
  • Hi,

    Adding to Dan's thread, please make sure the PPSMonitoringWebService Application Pool have access to ppsmonitoring_1 folders


    Thank you,
    Sundar - MSFT
    This posting is provided "AS IS" with no warranties, and confers no rights.
    Monday, December 15, 2008 6:50 PM
  • Hi Dan,

      Thanks for your reply.

      I have solved this problem myself.
    Actually its with the Problem of pre-requisites.
    I have installed "AJAX" it solves my problem.

    Thanks,

    Siva@PTPL
    • Marked as answer by Siva_SSK Tuesday, December 16, 2008 4:21 AM
    Tuesday, December 16, 2008 4:21 AM
  • Great news and glad to hear.  The requirements for PPS gets people all of the time and is very common issue in the forums.  I have had to post this a few times now and didn't think to even point you in that direction.  Really appreciate your follow up posting.  Thanks.
    Tuesday, December 16, 2008 3:04 PM